import { Context } from "../context/context";
import { Object3D } from "three";
export type AddSceneType = "scene" | "mulFloors";
export declare class Layer extends Object3D {
    context: Context;
    active: boolean;
    sceneType: AddSceneType;
    constructor(context: Context);
    setOpacity(opacity: number, force?: boolean): void;
    onAddToScene(type: "scene" | "mulFloors"): void;
    onRemoveFromScene(): void;
    dispose(): void;
}
